//
//	Copyright © 2005 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdAfx.h"

#include "VWFC/PluginSupport/VWPluginParametricApp.h"

using namespace VWFC::PluginSupport;

VWPluginParametricApp::VWPluginParametricApp(MCObjectHandle hParametric)
: fParametricObj( hParametric )
{
}

VWPluginParametricApp::~VWPluginParametricApp()
{
}

long VWPluginParametricApp::GetUserData() const
{
	return 0;
}

void VWPluginParametricApp::SetUserData(long /*userData*/)
{
}

EObjectEvent VWPluginParametricApp::InitializeApp()
{
	return kObjectEventNoErr;
}

EObjectEvent VWPluginParametricApp::DeinitializeApp()
{
	return kObjectEventNoErr;
}

// The Plug-in Object code should re-create all its component objects using current parameter values.
EObjectEvent VWPluginParametricApp::Recalculate()
{
	return kObjectEventNoErr;
}

// Object Definition Procedure (ODP) may optionally present its own preferences dialog, or let VW pose the default dialog.
EObjectEvent VWPluginParametricApp::Preference()
{
	return kObjectEventNotImplemented;
}

// The Plug-in Object may add extended properties.
EObjectEvent VWPluginParametricApp::OnInitXProperties(CodeRefID /*objectID*/)
{
	return kObjectEventNoErr;
}

// The Plug-in Object called with kParametricOnMove when kHasMoveDependancy extended property set
EObjectEvent VWPluginParametricApp::OnSpecialEditID()
{
	return kObjectEventNoErr;
}

// The user has pressed a button in the Properties UI of an object
EObjectEvent VWPluginParametricApp::OnObjectUIButtonHit(long /*buttonID*/)
{
	return kObjectEventNoErr;
}

bool VWPluginParametricApp::OnWidgetUpdate(IWidgetsProvider* pWidgetProvider)
{
	return false;
}

EObjectEvent VWPluginParametricApp::OnAddState(ObjectState& stateInfo)
{
	return kObjectEventNoErr;
}

long VWPluginParametricApp::OnCursorEvent(ObjectEventID action, long message)
{
    return(kObjectEventNotHandled);
}

long VWPluginParametricApp::OnDefaultEvent(long action, long message)
{
	return 0;
}

TXString VWPluginParametricApp::OnGetToolName() const
{
	return TXString();
}

void VWPluginParametricApp::OnContextMenuInit(IContextMenuProvider* pContextMenuProvider)
{
}

void VWPluginParametricApp::OnContextMenuEvent(const ObjectContextMenuEvent& eventData)
{
}

void VWPluginParametricApp::OnEyedropperPrepareCopy(MCObjectHandle hObjRecordCopy)
{
}


